Jack::JackWinSemaphore Class Reference

Inter process synchronization using system wide semaphore. More...

`#include <JackWinSemaphore.h>`

Inheritance diagram for Jack::JackWinSemaphore:

## Public Member Functions

bool | Signal ()
bool | SignalAll ()
bool | Wait ()
bool | TimedWait (long usec)
bool | Allocate (const char *name, const char *server_name, int value)
bool | Connect (const char *name, const char *server_name)
bool | ConnectInput (const char *name, const char *server_name)
bool | ConnectOutput (const char *name, const char *server_name)
bool | Disconnect ()
void | Destroy ()
Public Member Functions inherited from Jack::detail::JackSynchro
bool | Signal ()
bool | SignalAll ()
bool | Wait ()
bool | TimedWait (long usec)
bool | Allocate (const char *name, const char *server_name, int value)
bool | Connect (const char *name, const char *server_name)
bool | ConnectInput (const char *name, const char *server_name)
bool | ConnectOutput (const char *name, const char *server_name)
bool | Disconnect ()
void | Destroy ()
void | SetFlush (bool mode)

## Protected Member Functions

void | BuildName (const char *name, const char *server_name, char *res, int size)

## Additional Inherited Members

Protected Attributes inherited from Jack::detail::JackSynchro
char | fName [SYNC_MAX_NAME_SIZE]
bool | fFlush

## Detailed Description

Inter process synchronization using system wide semaphore.

Definition at line 35 of file JackWinSemaphore.h.

The documentation for this class was generated from the following files:

- JackWinSemaphore.h
- JackWinSemaphore.cpp